Skip to content

computers.setConnectorToken

PUT
/v1/computers/{computerId}/connector-token
curl --request PUT \
--url https://example.com/v1/computers/example/connector-token \
--header 'Authorization: Bearer <token>'

Makes a new token for the connector of a connector Computer. The old token stops working, and its connection closes.

computerId
required
string
>= 1 characters <= 128 characters

Success

Media typeapplication/json
object
token
required
string

Example generated

{
"token": "example"
}

ComputerInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerInvalid
message
required
string

Example

{
"_tag": "ComputerInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

ComputerNotFound | ComputerPathNotFound | ComputerSessionNotFound | ComputerProviderNotFound | PairingInvalid

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerNotFound
id
required
string

Example

{
"_tag": "ComputerNotFound"
}

@nmnmcc/ability/Authorizer/Pending | ComputerProviderInUse | ComputerConflict | ComputerUnsupported | ComputerNotReady

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

ComputerProviderFailed | ComputerExecutionFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerProviderFailed
message
required
string

Example

{
"_tag": "ComputerProviderFailed"
}

ComputersUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PolicyUnavailable

Example

{
"_tag": "PolicyUnavailable"
}